#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
long long n, m; cin >> n >> m;
if ( (n == 1) || ( m == 1 ) ){
    cout << max(m, n);
}
else{
cout << 2 * (m + n - 2) + (m-2)*(n-2)/2;
}
return 0;
}